<bugID>1373632<Summary>"Step out" steps to the end of the calling function when debugging minified scripts with client-side source-maps</Summary><Description>Created attachment 8878463
test-case.zip

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Build ID: 20170613235745

Steps to reproduce:

Steps to reproduce:
- enable the new debugger front-end (so that we use client-side source-maps - this is not an issue with the front-end though!)
- open index.html from the attached zip file
- open the debugger
- set a breakpoint in line 3 of "test.js" (not "test.min.js")
- enter "test()" in the console -&gt; the debugger stops at the breakpoint
- press "Step In" and then press "Step Out" twice to step out of the "square()" function

Here's the original source "test.js" of the script in the attached test-case:

function test() {
  var n = 2;
  n = square(n);
  n = square(n);
  n = square(n);
  n = square(n);
  return n;
}
function square(x) {
  return x * x;
}



Actual results:

The debugger stops at line 7 (the last line of the "test()" function), the variable "n" is set to 65536


Expected results:

The debugger stops at line 4, the variable "n" is set to 4
This is the result I get with the old debugger front-end and it's also the result in the new front-end when I use the original instead of the minified source.</Description></bugID>